tugas2_loginstatus/urls.py
from django.conf.urls import url
from .views import index
from .custom_auth import auth_login, auth_logout

urlpatterns = [
    url(r'^$', index, name='index'),
    # custom auth
    url(r'^custom_auth/login/$', auth_login, name='auth_login'),
    url(r'^custom_auth/logout/$', auth_logout, name='auth_logout'),
    ]

tugas2_ppw/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.views.generic.base import RedirectView
import tugas2_loginstatus.urls as tugas2_loginstatus
import tugas2_profile.urls as tugas2_profile
import tugas2_search.urls as tugas2_search
import tugas2_riwayat.urls as tugas2_riwayat

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^mahasiswa/profile/', include(tugas2_profile, namespace='tugas2_profile')),
    url(r'^mahasiswa/login/', include(tugas2_loginstatus,namespace='tugas2_loginstatus')),
    url(r'^mahasiswa/search/', include(tugas2_search,namespace='tugas2_search')),
    url(r'^mahasiswa/riwayat/', include(tugas2_riwayat, namespace='tugas2_riwayat')),
    url(r'^$', RedirectView.as_view(url="/mahasiswa/profile", permanent="true"), name='index'),
]

tugas2_profile/urls.py
from django.conf.urls import url
from .views import index, edit_profile, save_database, add_keahlian
#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^edit/$', edit_profile, name='edit_profile'),
    url(r'^save_database/$', save_database, name='save_database'),
    url(r'^add_keahlian/$', add_keahlian , name='add_keahlian'),
]

tugas2_profile/models.py
from __future__ import unicode_literals
from django.db import models


# Create your models here.
class User(models.Model):
    kode_identitas = models.CharField('Kode Identitas', max_length=20, primary_key=True, default='Kosong')
    name = models.CharField('Nama', max_length=225)
    email = models.EmailField('Email', default='Kosong')
    profileUrl = models.URLField('Profile LinkedIn', default='Kosong')

class KeahlianKu(models.Model):
    keahlian = models.CharField("Kode keahlian", max_length=50)
    level = models.CharField("Level", max_length = 20)
    identitas = models.CharField('Identitas', primary_key=True,max_length=20, default='Kosong')

tugas2_profile/views.py
from django.views.decorators.csrf import csrf_exempt

from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect, JsonResponse
from django.urls import reverse
from django.contrib import messages
from .models import User, KeahlianKu

response = {}


def index(request):
    if 'user_login' in request.session:
        response['name'] = 'Tugas 2 PPW'
        html = 'profile/profile.html'
        response['login'] = True
        response['kode_identitas'] = request.session['kode_identitas']
        exist = User.objects.filter(kode_identitas=request.session['kode_identitas']).exists()
        if not exist:
        	user = User(name='kosong', email='kosong', profileUrl='kosong', kode_identitas=request.session['kode_identitas'])
        	user_id = request.session['kode_identitas']
        	user.save()
        response['jumlahKosong'] = set_data_user(request)
        response['nama_identitas'] = request.session['user_login']
        return render(request, html, response)
    else:
        response['connected'] = False #digunakan sebagai penanda kapan header menampilkan tombol logout
        response['name'] = 'Tugas 2 PPW'
        response['login'] = False
        return redirect("/mahasiswa/login/")

def edit_profile(request):
    if 'user_login' in request.session:
        response['name'] = 'Tugas 2 PPW'
        response['list_keahlian'] = get_keahlian_dari_yang_login(request)
        html = 'profile/edit.html'
        return render(request, html, response)
    else:
        response['connected'] = False #digunakan sebagai penanda kapan header menampilkan tombol logout
        response['name'] = 'Tugas 2 PPW'
        response['login'] = False
        html = 'login/login.html'
        return render(request, html, response)

def get_keahlian_dari_yang_login(request):
	res = []
	keahlian_pengguna = KeahlianKu.objects.all()

	for keahlian in keahlian_pengguna:
		res.append({'keahlian':keahlian.keahlian,'level':keahlian.level})

	return res

@csrf_exempt
def save_database(request):
    if(request.method == 'POST'):
        name = request.POST['firstName'] + ' ' + request.POST['lastName']
        email = request.POST['email']
        profileUrl = request.POST['profileUrl']
        kode_identitas = request.session['kode_identitas']
        user = User(name=name, email=email, profileUrl=profileUrl, kode_identitas=kode_identitas)
        user.save()
        return JsonResponse({'nama':name, 'email':email, 'profileUrl': profileUrl})

def set_data_user(request):
	counterKosong = 0
	user = User.objects.get(kode_identitas=request.session['kode_identitas'])
	if user.name == 'kosong':
		counterKosong = 3
	response['userName'] = user.name
	response['userEmail'] = user.email
	response['userProfileLinkedIn'] = user.profileUrl
	expertiseExist = KeahlianKu.objects.filter(identitas=request.session['kode_identitas']).exists()
	if expertiseExist == 0:
		counterKosong += 1
		response['userKeahlian'] = 'kosong'
	else:
		response['userKeahlian'] = get_keahlian_dari_yang_login(request)
	return counterKosong

@csrf_exempt
def add_keahlian(request):
	if(request.method == 'POST'):
		skills = ['Java','C#','Python','Erlang','Kotlin']
		levels = ['Beginner','Intermediate', 'Expert','Legend']

		skill_taken = skills[int(request.POST['id_skill'])]
		level_of_skill = levels[int(request.POST['id_level'])]
		exist = KeahlianKu.objects.filter(identitas=request.session['kode_identitas'],keahlian=skill_taken).exists()
		
		if exist:
			KeahlianKu.objects.filter(identitas=request.session['kode_identitas'],keahlian=skill_taken).delete()

		objek_keahlian = KeahlianKu()
		objek_keahlian.identitas = request.session['kode_identitas']
		objek_keahlian.keahlian = skill_taken
		objek_keahlian.level = level_of_skill
		objek_keahlian.save()

		return JsonResponse({'identitas':objek_keahlian.identitas, 'skill':skill_taken, 'level':level_of_skill})

tugas2_profile/templates/profile/partials/footer.html
<div class="panel-footer footer">
  <p id='footer' style="color: black">Made with Love by &copy; Tugas 2 PPW</p>
</div>

tugas2_profile/templates/profile/partials/header.html
<style>

.image_sso{
	height: 40px;
	width: 40px;
	padding-top: 10px;
	padding-right: 5px;
	padding-left: 5px;
}

.button-link{
	padding-top: 10px;
	padding-right: 5px;
	padding-left: 5px;
}

#batas{
	padding: 10px;
}
</style>
<nav class="navbar navbar-default navbar-static-top">
    <div class="container-header">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand">Selamat Datang, {{nama_identitas}}</a>
        </div>
        {% if login %}
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav nav-right pull-right">
          	<li><a>{{nama_identitas}}</a></li>
          	<li><img src='http://freevector.co/wp-content/uploads/2012/07/59170-user-filled-person-shape.png' class='image_sso'></li>
            <li><a href="{% url 'tugas2_loginstatus:auth_logout' %}" onclick="return confirm('Keluar?')">Logout</a></li>
          </ul>
        </div>
        {% endif %}
    </div>
    <div class="panel-footer">
    	<a class="btn btn-danger pull-left">
            Lihat Forum </a> 
        <a id='batas'></a>
        <a href="{% url 'tugas2_profile:edit_profile' %}" class="btn btn-danger pull-right">
            Edit Profile </a>
    </div>
    <div class="panel-footer">
        <a align='center'>status blablabla</a>
    </div>
</nav>